<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.594
Name: Progesteron receptor status
Description: Template: Progesteron receptor status
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000">
   <title>Progesteron receptor status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.594
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]
Item: (Progesteronreceptorstatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]"
         id="d20e678-false-d5596e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]) &gt;= 1">(Progesteronreceptorstatus): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]) &lt;= 1">(Progesteronreceptorstatus): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.594
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]
Item: (Progesteronreceptorstatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]"
         id="d20e699-false-d5613e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="string(@classCode) = ('OBS')">(Progesteronreceptorstatus): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="string(@moodCode) = ('EVN')">(Progesteronreceptorstatus): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']) &gt;= 1">(Progesteronreceptorstatus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']) &lt;= 1">(Progesteronreceptorstatus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '85339-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Progesteronreceptorstatus): element hl7:code[(@code = '85339-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '85339-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Progesteronreceptorstatus): element hl7:code[(@code = '85339-0' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Progesteronreceptorstatus): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Progesteronreceptorstatus): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Progesteronreceptorstatus): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Progesteronreceptorstatus): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.594
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']
Item: (Progesteronreceptorstatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']"
         id="d20e705-false-d5668e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Progesteronreceptorstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.594')">(Progesteronreceptorstatus): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.594' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.594
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:code[(@code = '85339-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Progesteronreceptorstatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:code[(@code = '85339-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e710-false-d5683e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Progesteronreceptorstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="@nullFlavor or (@code='85339-0' and @codeSystem='2.16.840.1.113883.6.1')">(Progesteronreceptorstatus): de elementwaarde MOET een zijn van 'code '85339-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.594
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:statusCode[@code = 'completed']
Item: (Progesteronreceptorstatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:statusCode[@code = 'completed']"
         id="d20e715-false-d5700e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Progesteronreceptorstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="@nullFlavor or (@code='completed')">(Progesteronreceptorstatus): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.594
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Progesteronreceptorstatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e721-false-d5719e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Progesteronreceptorstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.594-2019-03-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.258-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Progesteronreceptorstatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.258 Status PR (DYNAMISCH)'.</assert>
   </rule>
</pattern>
