<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.596
Name: Type tumor
Description: Template: Histologic type
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000">
   <title>Type tumor</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.596
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]
Item: (Typeoftumor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.596
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]
Item: (Typeoftumor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]"
         id="d20e799-false-d5906e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="string(@classCode) = ('OBS')">(Typeoftumor): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="string(@moodCode) = ('EVN')">(Typeoftumor): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']) &gt;= 1">(Typeoftumor): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']) &lt;= 1">(Typeoftumor): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '371441004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Typeoftumor): element hl7:code[(@code = '371441004' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '371441004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Typeoftumor): element hl7:code[(@code = '371441004' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Typeoftumor): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Typeoftumor): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Typeoftumor): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Typeoftumor): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.596
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']
Item: (Typeoftumor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']"
         id="d20e805-false-d5963e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typeoftumor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.596')">(Typeoftumor): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.596' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.596
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:code[(@code = '371441004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Typeoftumor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:code[(@code = '371441004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e810-false-d5978e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typeoftumor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="@nullFlavor or (@code='371441004' and @codeSystem='2.16.840.1.113883.6.96')">(Typeoftumor): de elementwaarde MOET een zijn van 'code '371441004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.596
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:statusCode[@code = 'completed']
Item: (Typeoftumor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:statusCode[@code = 'completed']"
         id="d20e815-false-d5995e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typeoftumor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="@nullFlavor or (@code='completed')">(Typeoftumor): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.596
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Typeoftumor)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e821-false-d6016e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typeoftumor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190508T225648/tmp-2.16.840.1.113883.2.4.3.36.10.596-2019-03-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.252-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.256-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Typeoftumor): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.252 Type tumor (BK) (DYNAMISCH) of 2.16.840.1.113883.2.4.3.36.77.11.256 Punctie conclusie (DYNAMISCH)'.</assert>
   </rule>
</pattern>
